KF5-CONFIG(1)

NOM
kf5-config - Imprimix a la pantalla els camins de la instal⋅lació de les Qt(TM) i dels Frameworks

SINOPSI

kf5-config [--expandvars] [--prefix] [--exec-prefix] [--libsuffix] [--localprefix] [--version] [--kde-version] [--types] [--path tipus] [--userpath tipus] [--install tipus] [--qt-prefix] [--qt-binaries] [--qt-libraries] [--qt-plugins]

DESCRIPCIÓ

kf5-config és un programa de línia d'ordres emprat per a rebre informació quant a la instal⋅lació dels Frameworks o els camins emprats.

Este programa s'utilitza per a determinar els diversos aspectes d'on residixen instal⋅lats els Frameworks al vostre sistema.

    Nota

    kf5-config sobretot és el substitut per a kde4-config, mentre que l'eina que es recomana utilitzar en el seu lloc és qtpaths (la qual es lliura amb les Qt(TM)).

OPCIONS

--expandvars
    Expandix ${prefix} i ${exec_prefix} en l'eixida.

--prefix
    Les biblioteques Frameworks han sigut compilades sobre el prefix.

--exec-prefix
    Les biblioteques Frameworks han sigut compilades sobre l'exec_prefix.

--libsuffix
    El camí de les biblioteques es troba en el sufix.

--localprefix
    Prefix a $HOME utilitzat per a escriure fitxers.

--version
    Versió de les Qt(TM) i versió contra la qual s'han compilat les biblioteques dels Frameworks i kf5-config.

--kde-version
    Les biblioteques Frameworks han sigut compilades en la versió.

--types
    Imprimix a la pantalla una llista de tots els tipus de recursos KDE disponibles.

--path tipus
    Busca el camí per al tipus especificat.

--userpath tipus
    Camins d'usuari per als tipus: desktop|document

--install tipus
    Prefix a on instal⋅lar els fitxers de recursos.

--qt-prefix
    Prefix d'instal⋅lació per a les Qt(TM).

--qt-binaries
    Ubicació on s'han instal⋅lat els binaris de les Qt(TM).

--qt-libraries
    Ubicació on s'han instal⋅lat les biblioteques de les Qt(TM).

--qt-plugins
    Ubicació on s'han instal⋅lat els connectors de les Qt(TM).

EXEMPLES

Imprimix a la pantalla el directori arrel de la instal⋅lació dels Frameworks:

% kf5-config --prefix

Imprimix a la pantalla una llista de tots els tipus de recursos:

% kf5-config --types

Imprimix a la pantalla el camí del fons de pantalla que teniu instal⋅lat:

% kf5-config --path wallpaper

VEGEU TAMBÉ

kf5options(7)

ERRORS

No se'n coneixen.

AUTOR

Kulow, Stephan <coolo@kde.org>
    Autor.